Bug 3374 - Display patron attributes in the same format as other patron data
Summary: Display patron attributes in the same format as other patron data
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-29 02:01 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed change (5.11 KB, patch)
2009-06-29 14:01 UTC, Chris Cormack
Details | Diff | Splinter Review
Display of patron attributes on moremember.pl (14.25 KB, image/png)
2009-06-29 14:02 UTC, Chris Cormack
Details
Patron attributes edit view (5.95 KB, image/png)
2009-06-29 14:03 UTC, Chris Cormack
Details
Bug 3374 - Display patron attributes in the same format as other patron data (11.10 KB, patch)
2012-08-20 16:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Revised interface for editing patron attributes (15.56 KB, image/png)
2012-08-20 16:28 UTC, Owen Leonard
Details
Revised interface for displaying patron attributes (5.92 KB, image/png)
2012-08-20 16:28 UTC, Owen Leonard
Details
[SIGNED-OFF] Bug 3374 - Display patron attributes in the same format as other patron data (11.31 KB, patch)
2012-08-20 19:31 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:09:44 UTC


---- Reported by oleonard@myacpl.org 2009-06-29 14:01:31 ----

Created an attachment
Proposed change

In my opinion a patron's "Additional attributes and identifiers" should display in the same format as other standard patron data: in a list of label/data pairs. I've submitted a patch to accomplish this, but would like to solicit more opinions.



---- Additional Comments From oleonard@myacpl.org 2009-06-29 14:02:04 ----

Created an attachment
Display of patron attributes on moremember.pl





---- Additional Comments From oleonard@myacpl.org 2009-06-29 14:03:20 ----

Created an attachment
Patron attributes edit view





---- Additional Comments From gmcharlt@gmail.com 2009-06-29 14:11:47 ----

From my koha-patches posting:

I have reservations about this one.  The tabular view for editing
patron attributes is more vertically compact than the list view, and
some of our users assign a lot of patron attributes.  Opinions?



---- Additional Comments From nengard@gmail.com 2009-06-29 14:25:07 ----

Can someone attach an image of what it looks like now with a lot of attributes?  For comparison sake.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:09 UTC  ---

This bug was previously known as _bug_ 3374 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3374
Imported an attachment (id=1257)
Imported an attachment (id=1258)
Imported an attachment (id=1259)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1257 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1258 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1259 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2012-08-20 16:25:42 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-08-20 16:28:36 UTC
Created attachment 11707 [details]
Revised interface for editing patron attributes
Comment 3 Owen Leonard 2012-08-20 16:28:57 UTC
Created attachment 11708 [details]
Revised interface for displaying patron attributes
Comment 4 Nicole C. Engard 2012-08-20 19:31:44 UTC
Created attachment 11710 [details] [review]
[SIGNED-OFF] Bug 3374 - Display patron attributes in the same format as other patron data

This patch revises the interface for displaying and editing
patron attributes so that it is consistent with other
similar interfaces.

Display of patron attributes should match the display of other
kinds of patron data, and codes should be omitted in favor of
descriptions.

Entry of patron attributes should match other patron entry
forms and should also omit codes in favor of descriptions.

To test, view and edit patron attributes. Special functions
like "Clear" and "New" should function as before.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Tested by viewing patrons with attributes, editing those attributes
and editing the entire patron record. In all places the editing/adding
works and the display is improved.
Comment 5 Jonathan Druart 2012-08-21 09:50:48 UTC
QA Comment:

Template modifications.
Make patron attributes display more consistent.

Marked as Passed QA.
Comment 6 Paul Poulain 2012-09-03 13:27:39 UTC
Patch pushed